{
  "swagger": "2.0",
  "info": {
    "title": "main.proto",
    "version": "version not set"
  },
  "consumes": [
    "application/json"
  ],
  "produces": [
    "application/json"
  ],
  "paths": {
    "/ping": {
      "get": {
        "operationId": "pinnedMessage_Ping",
        "responses": {
          "200": {
            "description": "A successful response.",
            "schema": {
              "$ref": "#/definitions/pinned_messagePingRsp"
            }
          },
          "default": {
            "description": "An unexpected error response.",
            "schema": {
              "$ref": "#/definitions/runtimeError"
            }
          }
        },
        "tags": [
          "pinnedMessage"
        ]
      }
    },
    "/schedule": {
      "get": {
        "operationId": "pinnedMessage_GetDays",
        "responses": {
          "200": {
            "description": "A successful response.",
            "schema": {
              "$ref": "#/definitions/pinned_messageGetDaysRsp"
            }
          },
          "default": {
            "description": "An unexpected error response.",
            "schema": {
              "$ref": "#/definitions/runtimeError"
            }
          }
        },
        "tags": [
          "pinnedMessage"
        ]
      }
    }
  },
  "definitions": {
    "pinned_messageDay": {
      "type": "object",
      "properties": {
        "date": {
          "type": "string"
        },
        "performances": {
          "type": "array",
          "items": {
            "$ref": "#/definitions/pinned_messagePerformance"
          }
        }
      }
    },
    "pinned_messageGetDaysRsp": {
      "type": "object",
      "properties": {
        "days": {
          "type": "array",
          "items": {
            "$ref": "#/definitions/pinned_messageDay"
          }
        }
      }
    },
    "pinned_messageNumber": {
      "type": "object",
      "properties": {
        "name": {
          "type": "string"
        }
      }
    },
    "pinned_messagePerformance": {
      "type": "object",
      "properties": {
        "time_collection": {
          "type": "string"
        },
        "time_start": {
          "type": "string"
        },
        "place": {
          "type": "string"
        },
        "name": {
          "type": "string"
        },
        "numbers": {
          "type": "array",
          "items": {
            "$ref": "#/definitions/pinned_messageNumber"
          }
        },
        "costumes": {
          "type": "string"
        }
      }
    },
    "pinned_messagePingRsp": {
      "type": "object"
    },
    "protobufAny": {
      "type": "object",
      "properties": {
        "type_url": {
          "type": "string"
        },
        "value": {
          "type": "string",
          "format": "byte"
        }
      }
    },
    "runtimeError": {
      "type": "object",
      "properties": {
        "error": {
          "type": "string"
        },
        "code": {
          "type": "integer",
          "format": "int32"
        },
        "message": {
          "type": "string"
        },
        "details": {
          "type": "array",
          "items": {
            "$ref": "#/definitions/protobufAny"
          }
        }
      }
    }
  }
}
